package de.tudarmstadt.informatik.hostage.ui2.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;

import java.util.List;

import de.tudarmstadt.informatik.hostage.R;
import de.tudarmstadt.informatik.hostage.ui2.model.DrawerListItem;
import de.tudarmstadt.informatik.hostage.ui2.model.ProfileListItem;

/**
 * @author Alexander Brakowski
 * @created 14.01.14 18:00
 */
public class ProfileManagerListAdapter extends ArrayAdapter<ProfileListItem> {
    private final Context context;
    private final List<ProfileListItem> values;

    public ProfileManagerListAdapter(Context context, List<ProfileListItem> objects) {
        super(context, R.layout.drawer_list_item, objects);
        this.context = context;
        this.values  = objects;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = (LayoutInflater) context
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);

        View rowView = inflater.inflate(R.layout.profile_manager_list_item, parent, false);
        TextView labelView = (TextView) rowView.findViewById(R.id.profile_manager_item_label);
        TextView textView = (TextView) rowView.findViewById(R.id.profile_manager_item_text);
        ImageView imageSelected = (ImageView) rowView.findViewById(R.id.profile_manager_item_activated);

        ProfileListItem item = values.get(position);
        textView.setText(item.label);
        labelView.setText(item.text);

        if(!item.activated){
            RelativeLayout.LayoutParams lp = (RelativeLayout.LayoutParams )textView.getLayoutParams();
            lp.setMargins(0,0,0,0);

            textView.setLayoutParams(lp);

            imageSelected.setVisibility(View.GONE);
        }

        return rowView;
    }
}
